#
# *********************************************************************************************************************
#
#               iFHS7.
#              ;BBMBMBMc                  rZMBMBR              BMB
#              MBEr:;PBM,               7MBMMEOBB:             BBB                       RBW
#     XK:      BO     SB.     :SZ       MBM.       c;;     ir  BBM :FFr       :SSF:    ;xBMB:r   iuGXv.    i:. iF2;
#     DBBM0r.  :D     S7   ;XMBMB       GMBMu.     MBM:   BMB  MBMBBBMBMS   WMBMBMBBK  MBMBMBM  BMBRBMBW  .MBMBMBMBB
#      :JMRMMD  ..    ,  1MMRM1;         ;MBMBBR:   MBM  ;MB:  BMB:   MBM. RMBr   sBMH   BM0         UMB,  BMB.  KMBv
#     ;.   XOW  B1; :uM: 1RE,   i           .2BMBs  rMB. MBO   MBO    JMB; MBB     MBM   BBS    7MBMBOBM:  MBW   :BMc
#     OBRJ.SEE  MRDOWOR, 3DE:7OBM       .     ;BMB   RMR7BM    BMB    MBB. BMB    ,BMR  .BBZ   MMB   rMB,  BMM   rMB7
#     :FBRO0D0  RKXSXPR. JOKOOMPi       BMBSSWBMB;    BMBB:    MBMB0ZMBMS  .BMBOXRBMB    MBMDE RBM2;SMBM;  MBB   xBM2
#         iZGE  O0SHSPO. uGZ7.          sBMBMBDL      :BMO     OZu:BMBK,     rRBMB0;     ,EBMB  xBMBr:ER.  RDU   :OO;
#     ,BZ, 1D0  RPSFHXR. xWZ .SMr                  . .BBB
#      :0BMRDG  RESSSKR. 2WOMBW;                   BMBMR
#         i0BM: SWKHKGO  MBDv
#           .UB  OOGDM. MK,                                          Copyright (c) 2015-2019.  \u65AF\u4F2F\u5766\u673A\u5668\u4EBA
#              ,  XMW  ..
#                  r                                                                     All rights reserved.
#
# *********************************************************************************************************************
#
org.gradle.jvmargs = -Xmx1536m
#org.gradle.configureondemand=false

SYBOTAN_URL = http://www.sybotan.com
SYBOTAN_KOTLIN_VERSION = 1.4.51
SYBOTAN_ANDROID_VERSION = 1.2.22
SYBOTAN_CODE = 5
SYBOTAN_GROUP = com.sybotan

MAVEN_REPO_PUBLIC_URL = http://dev.dp.sagacloud.cn:8082/repository/maven-public/
MAVEN_REPO_RELEASE_URL = http://dev.dp.sagacloud.cn:8082/repository/maven-releases/
MAVEN_REPO_SNAPSHOT_URL = http://dev.dp.sagacloud.cn:8082/repository/maven-snapshots/
NEXUS_USERNAME = saga
NEXUS_PASSWORD = saga

#MAVEN_REPO_PUBLIC_URL = http://maven.sybotan.com/repository/sybotan-public/
#MAVEN_REPO_RELEASE_URL = http://maven.sybotan.com/repository/sybotan-releases/
#MAVEN_REPO_SNAPSHOT_URL = http://maven.sybotan.com/repository/sybotan-snapshots/
#NEXUS_USERNAME = andy
#NEXUS_PASSWORD = 123456

LICENSE_NAME = The Apache Software License, Version 2.0
LICENSE_URL = http://www.apache.org/licenses/LICENSE-2.0.txt

DEVELOPER_ID = Andy.Sybotan
DEVELOPER_NAME = Andy

JVM_TARGET = 1.8
JDK_VERSION = 8

ANDROID_SDK_VERSION = 28
ANDROID_MIN_SDK_VERSION = 21
ANDROID_BUILD_TOOLS_VERSION = 28.0.3

# https://mvnrepository.com/artifact/com.android.support/appcompat-v7
ANDROID_SUPPORT_VERSION = 28.0.0
#27.1.1
# https://mvnrepository.com/artifact/org.jetbrains.anko/anko-common
ANKO_VERSION = 0.10.8
# https://mvnrepository.com/artifact/com.android.support.constraint/constraint-layout
CONSTRAINT_VERSION = 2.0.0-alpha2
# https://mvnrepository.com/artifact/org.jetbrains.dokka/dokka-gradle-plugin
DOKKA_VERSION = 0.9.16
# https://mvnrepository.com/artifact/pub.devrel/easypermissions
EASYPERMISSIONS_VERSION = 1.2.0
# https://mvnrepository.com/artifact/org.greenrobot/eventbus
EVENTBUS_VERSION = 3.1.1
# https://mvnrepository.com/artifact/com.alibaba/fastjson
FASTJSON_VERSION = 1.1.70.android
# https://mvnrepository.com/artifact/com.android.tools.build/gradle
GRADLE_VERSION = 3.2.1
## https://mvnrepository.com/artifact/com.google.code.gson/gson
#GSON_VERSION = 2.8.5
# https://mvnrepository.com/artifact/com.fasterxml.jackson.core/jackson-core
JACKSON_VERSION = 2.9.8
# https://mvnrepository.com/artifact/org.junit.jupiter/junit-jupiter-api
JUNIT_VERSION = 5.3.1
# https://mvnrepository.com/artifact/org.jetbrains.kotlin/kotlin-stdlib-jdk8
KOTLIN_VERSION = 1.3.20
# https://mvnrepository.com/artifact/com.squareup.okhttp3/okhttp
OKHTTP_VERSION = 3.11.0
# https://mvnrepository.com/artifact/javax.persistence/persistence-api
PERSISTENCE_VERSION = 1.0.2
# https://mvnrepository.com/artifact/com.squareup.picasso/picasso
PICASSO_VERSION = 2.5.2
# https://mvnrepository.com/artifact/com.google.zxing/core
ZXING_VERSION = 3.3.0
